Subject: bug#8402: 24.0.50; Hex colors are not rendered correctly on OS X (Cocoa)

From: Howard Melman <[email-masked]>
Date: Sat, 23 Apr 2022 17:33:35 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Steve Purcell <[email-masked]> writes:
>
>> If I set face colors using hex values, those colors are not displayed
>> correctly.
>>
>> For example, 'M-x set-face-background RET default RET #fdf6e3 RET'
>> results in a frame background color which, when sampled using Apple's
>> "Digital Color Meter" utility, has hex value #fff8e8.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> There was a patch suggested to alter ns_get_color, but I see that the
> function has changed greatly since this was reported ten years ago.
>
> Is this still an issue with recent Emacs versions?

When I try it with emacs 28 on macOS 11.6.5 I get the
background color 0xFCF6E5.  So it seems quite close.

-- 

Howard